name: USB_2_MICRO-B
description: USB 2.0 micro receptacle, type B, SMT
datasheet: https://www.aliexpress.com/item/32910334970.html
keywords: connector, usb

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    ID: 4
    GND: 5
  SHELL:
    MOUNTING_TAB: 6, 7, 8, 9
    MOUNTING_HOLE: 10, 11

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  in: ID
  passive: MOUNTING_TAB
  nc: MOUNTING_HOLE

schematic:
  symbol: connector
  right: USB
  bottom: MOUNTING_TAB

housing:
  pattern: custom
  bodyWidth: 8.0
  bodyLength: 6.6
  bodyPosition: 0, 1.75 # use holes line as center 6.6/2 - (0.8/2 + 3.45 - 2.3)
  height: 3.0
  silkscreen: M -3.575 2.7 3.575 2.7 # PCB edge

  # USB pins
  padWidth: 0.4
  padHeight: 1.85
  pitch: 0.65
  rowCount: 1
  columnCount: 5
  rowDX: 0 # 2 * 0.65
  rowDY: -0.720 # -1.85 / 2 + 0.25

  # shell mounting tabs
  slotWidth1: 0.65
  slotHeight1: 1.85
  padWidth1: 0.95
  padHeight1: 2.15
  padPosition1: -3.575, -1.15, 3.575, -1.15, -3.575, 2.30, 3.575, 2.3 # 7.15/2, 2.3-3.45

  # mounting holes 
  holeDiameter2: 0.8
  padPosition2: -2.0, 0 , 2.0, 0
